%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:           sugar-paint
Version:        40
Release:        1%{?dist}
Summary:        Paint activity for Sugar

Group:          Sugar/Activities
License:        GPLv2
URL:            http://wiki.sugarlabs.org/go/Activities/Paint
Source0:        http://activities.sugarlabs.org/sugar/downloads/file/26190/paint-%{version}.xo
# Do not strip the .so file
# Set LIB_DIR to "lib"
Patch0:         sugar-paint-Fedora.patch
BuildRequires:  gettext
BuildRequires:  gtk2-devel
BuildRequires:  pygtk2-devel
BuildRequires:  python-devel
BuildRequires:  sugar-toolkit
Requires:       sugar

%description
Paint will provide a canvas for an individual or a group of children 
to express themselves creatively through drawing. 

%prep
%setup -q -n Paint.activity

# make sure to grab blob from the right location and remove prebuilt ones
sed '49,53d' -i fill/Makefile
rm -rf fill/linux*
%patch0 -p1 -b .fedora

%build
make %{?_smp_mflags} V=1 -C fill LDFLAGS+=--build-id
%{__python} setup.py build

%install
mkdir -p %{buildroot}%{python_sitearch}/fill/
install -Dm 0755 fill/lib/_fill.so %{buildroot}%{python_sitearch}/fill/
install -Dm 0644 fill/lib/__init__.py %{buildroot}%{python_sitearch}/fill/
%{__python} setup.py install --prefix=%{buildroot}/%{_prefix}
rm -rf %{buildroot}%{sugaractivitydir}Paint.activity/fill
%find_lang org.laptop.Oficina

%files -f org.laptop.Oficina.lang
%defattr(-,root,root,-)
%doc NEWS COPYING
%{python_sitearch}/fill/
%{sugaractivitydir}/Paint.activity/


%changelog
* Fri Mar 16 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 40-1
- Release 40

* Sat Mar 10 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 39-1
- Release 39

* Thu Mar  8 2012 Tom Callaway <spot@fedoraproject.org> - 37-3
- fix build, do not strip .so file

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 37-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Oct 13 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 37-1
- Release 37

* Thu Jun  9 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 34-1
- release 34

* Tue May 17 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 33-1
- release 33

* Mon Apr 11 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 32-1
- release 32

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 27-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 29 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 27-4
- Bump build

* Fri Jul 30 2010 Sebastian Dziallas <sebastian@when.com> - 27-3
- Rebuild for Python 2.7

* Mon May 24 2010 Sebastian Dziallas <sebastian@when.com> - 27-2
- Fix the buildroot

* Thu Mar 11 2010 Sebastian Dziallas <sebastian@when.com> - 27-1
- New upstream release
- Cleaned the spec file up

* Tue Nov 19 2008 Bryan Kearney <bkearney@redhat.com> - 23-2
- Deleted directory creation which is not required.

* Tue Nov 18 2008 Bryan Kearney <bkearney@redhat.com> - 23-1
- Initial packaging
